# Class CreateTxn

java.lang.Object
org.apache.zookeeper.txn.CreateTxn

All Implemented Interfaces:
  `Record`

@Public public class CreateTxn extends Object implements Record

## Constructor Summary

Constructors
Constructor
Description
`CreateTxn()`
`CreateTxn(String path, byte[] data, List<ACL> acl, boolean ephemeral, int parentCVersion)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object peer_)`
`void`
`copyFrom(CreateTxn from)`
`void`
`deserialize(InputArchive a_, String tag)`
`boolean`
`equals(Object peer_)`
`List<ACL>`
`getAcl()`
`byte[]`
`getData()`
`boolean`
`getEphemeral()`
`int`
`getParentCVersion()`
`String`
`getPath()`
`int`
`hashCode()`
`void`
`readFields(DataInput in)`
`void`
`serialize(OutputArchive a_, String tag)`
`void`
`setAcl(List<ACL> m_)`
`void`
`setData(byte[] m_)`
`void`
`setEphemeral(boolean m_)`
`void`
`setParentCVersion(int m_)`
`void`
`setPath(String m_)`
`static String`
`signature()`
`String`
`toString()`
`void`
`write(DataOutput out)`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CreateTxn

public CreateTxn()

### CreateTxn

public CreateTxn(String path, byte[] data, List<ACL> acl, boolean ephemeral, int parentCVersion)

## Method Details

### getPath

public String getPath()

### setPath

public void setPath(String m_)

### getData

public byte[] getData()

### setData

public void setData(byte[] m_)

### getAcl

public List<ACL> getAcl()

### setAcl

public void setAcl(List<ACL> m_)

### getEphemeral

public boolean getEphemeral()

### setEphemeral

public void setEphemeral(boolean m_)

### getParentCVersion

public int getParentCVersion()

### setParentCVersion

public void setParentCVersion(int m_)

### copyFrom

public void copyFrom(CreateTxn from)

### serialize

public void serialize(OutputArchive a_, String tag) throws IOException

Specified by:
  `serialize` in interface `Record`
Throws:
  `IOException`

### deserialize

public void deserialize(InputArchive a_, String tag) throws IOException

Specified by:
  `deserialize` in interface `Record`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### write

public void write(DataOutput out) throws IOException

Throws:
  `IOException`

### readFields

public void readFields(DataInput in) throws IOException

Throws:
  `IOException`

### compareTo

public int compareTo(Object peer_) throws ClassCastException

Throws:
  `ClassCastException`

### equals

public boolean equals(Object peer_)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### signature

public static String signature()